<!DOCTYPE html>
<html >

<head>
  <meta charset='utf-8'>
  <title>Pizza 365 project</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body >
  <div class="container">
    <p class="h3 text-center mt-5"> Chọn đồ uống </p>
    <div class="form-group col-12">
      <hr class="mt-5 mb-5" />
    </div>

    <div class="form-group">
      <label>Đồ uống:</label>
      <select class="form-control" id="mySelect">
        <option>Chọn đồ uống</option>
      </select>
    </div>
    <button id="show-result" class="btn btn-primary w-25" onclick="getValue()">Hiển thị</button>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "http://203.171.20.210:8080/";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    document.addEventListener("DOMContentLoaded", function() {
      sampleCodeLoadData();
    });
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //mã nguồn để load data về
    function sampleCodeLoadData() {
      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(xhttp.responseText); //ghi response text ra console.log
            let obj = JSON.parse(xhttp.responseText);
            console.log(obj[0].maNuocUong); // John
            console.log(obj[0].tenNuocUong); // 30
            console.log(obj[0].donGia); // New York
            let select = document.getElementById("mySelect");
            for (let i = 0; i < obj.length; i++) {
              let option = document.createElement("option");
              option.value = obj[i].maNuocUong;
              option.text = obj[i].tenNuocUong;
              select.add(option);
            }
          }
        };
      xhttp.open("GET", gBASE_URL+"devcamp-pizza365/drinks", true);
      xhttp.send();
    }

    function getValue() {
      var select = document.getElementById("mySelect");
      var value = select.options[select.selectedIndex].value;
      var text = select.options[select.selectedIndex].text;
      console.log("Value: " + value);
      console.log("Text: " + text);
    }
  </script>
</body>

</html>